/*------------------------------------*\
  nav
\*------------------------------------*/

.nav__item {
  .nav__trigger, .nav__link {
    @extend .ts-body;
    @include ts-link($base-color);
    display: block;
    @extend %padding;
    padding-top: $spacing-xxs;
    padding-bottom: $spacing-xxs;
    @include media('<sm') {
      padding-top: $spacing-xs;
      padding-bottom: $spacing-xs;
    }
  }
  .nav__trigger {
    text-transform: uppercase;
  }
}
.nav__list:not(.nav__list--sub) {
  display: flex;
  & > .nav__item {
    width: calc(100%/4);
  }
}
// colors
.nav__item--listen, .nav__item--listen .nav__list--sub {background-color: $gray;}
.nav__item--read, .nav__item--read .nav__list--sub {background-color: $green;}
.nav__item--watch, .nav__item--watch .nav__list--sub {background-color: $yellow;}
.nav__item--connect, .nav__item--connect .nav__list--sub {
  background-color: $blue;
  .nav__trigger,
  .nav__link {@include ts-link($body-color);}
}

// sublist
@include media('>=sm') {.nav__item {position: relative;}}
@include media('<sm') {.nav__list {position: relative;}}
.nav__list--sub:not(.is-active) {display: none;}
.nav__list--sub {
  position: absolute;
  z-index: 2;
  top: calc(1em + $spacing-xxs * 2);
  right: 0; left: 0;
}
